---
title: "Run workflow"
url: https://docs.gleap.ai/en/reference/rest-api/run-conversation-workflow
method: POST
path: "/s2s/conversations/{conversationId}/workflow/{workflowId}/run"
api: "API Reference"
tag: "S2S Conversations"
operationId: "RunConversationWorkflow"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Run workflow

`POST https://api.gleap.io/v3/s2s/conversations/{conversationId}/workflow/{workflowId}/run`

Run a specific workflow on this conversation (replaces any active one).

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `conversationId` (string, required)
- `workflowId` (string, required)

## Example request

```bash
curl --request POST \
  --url 'https://api.gleap.io/v3/s2s/conversations/{conversationId}/workflow/{workflowId}/run' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 202

Accepted
